Loading...
Searching...
No Matches
QXmppBookmarkUrl Class Reference

The QXmppBookmarkUrl class represents a bookmark for a web page, as defined by XEP-0048: Bookmarks. More...

`#include <QXmppBookmarkSet.h>`

## Public Member Functions

QString | name () const
void | setName (const QString &name)
QUrl | url () const
void | setUrl (const QUrl &url)

## Detailed Description

The QXmppBookmarkUrl class represents a bookmark for a web page, as defined by XEP-0048: Bookmarks.

## Member Function Documentation

## name()

QString QXmppBookmarkUrl::name | ( |  | ) | const

Returns the friendly name for the bookmark.

## setName()

void QXmppBookmarkUrl::setName | ( | const QString & | name | ) |

Sets the friendly name for the bookmark.

Parameters

  name |

## setUrl()

void QXmppBookmarkUrl::setUrl | ( | const QUrl & | url | ) |

Sets the URL for the web page.

Parameters

  url |

## url()

QUrl QXmppBookmarkUrl::url | ( |  | ) | const

Returns the URL for the web page.

The documentation for this class was generated from the following files:

- QXmppBookmarkSet.h
- QXmppBookmarkSet.cpp